Bug 1249834 - SELinux is preventing /usr/lib64/firefox/plugin-container from using the 'dac_override' capabilities.
SELinux is preventing /usr/lib64/firefox/plugin-container from using the 'dac...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vit Mojzis
Fedora Extras Quality Assurance
abrt_hash:6e59ccd713f8ee2f9c3787438f3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 19:18 EDT by Frank Daniel
Modified: 2015-08-13 08:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-13 08:33:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Daniel 2015-08-03 19:18:31 EDT
Description of problem:
Was trying to reinstall mysql
SELinux is preventing /usr/lib64/firefox/plugin-container from using the 'dac_override' capabilities.

*****  Plugin mozplugger (87.7 confidence) suggests   ************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin dac_override (12.1 confidence) suggests   **********************

If you want to help identify if domain needs this access or you have a file with the wrong permissions on your system
Then turn on full auditing to get path information about the offending file and generate the error again.
Do

Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it, 
otherwise report as a bugzilla.

*****  Plugin catchall (1.66 confidence) suggests   **************************

If you believe that plugin-container should have the dac_override capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Objects                Unknown [ capability ]
Source                        plugin-containe
Source Path                   /usr/lib64/firefox/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           firefox-39.0-8.fc22.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.6.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.2-200.fc22.x86_64 #1 SMP Wed
                              Jul 15 20:12:12 UTC 2015 x86_64 x86_64
Alert Count                   28
First Seen                    2015-08-03 15:52:09 PDT
Last Seen                     2015-08-03 15:54:15 PDT
Local ID                      6d8edc2d-3920-4f67-b35e-2cbf7639a83a

Raw Audit Messages
type=AVC msg=audit(1438642455.481:650): avc:  denied  { dac_override } for  pid=3045 comm="plugin-containe" capability=1  scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=capability permissive=0


type=SYSCALL msg=audit(1438642455.481:650): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=24ca56a500d0 a1=1c0 a2=ffffffffffffff70 a3=24ca5697c030 items=0 ppid=2942 pid=3045 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm=plugin-containe exe=/usr/lib64/firefox/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,mozilla_plugin_t,capability,dac_override

Version-Release number of selected component:
selinux-policy-3.13.1-128.6.fc22.noarch

Additional info:
reporter:       libreport-2.6.1
hashmarkername: setroubleshoot
kernel:         4.1.2-200.fc22.x86_64
type:           libreport

Potential duplicate: bug 744318
Comment 1 Vit Mojzis 2015-08-12 08:32:37 EDT
The error was most likely caused by running Firefox as root (it is strongly recommended against doing so - security risk). If running it as normal user doesn't help, turn on full auditing in order to get target path.
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record, check ownership/permissions on the target directory and fix it.
Comment 2 Lukas Vrabec 2015-08-13 08:33:42 EDT
Closing as NOTABUG. If this show up again, please, re-open this issue.

Thank you Vit for analyze.

Note You need to log in before you can comment on or make changes to this bug.